#
# spec file to package golang easily
#

%global debug_package %{nil}
%global __strip /bin/true
%global _missing_build_ids_terminate_build 0
%global __brp_mangle_shebangs %{nil}

%if 0%{?suse_version}
%undefine _build_create_debug
%define __arch_install_post export NO_BRP_STRIP_DEBUG=true
%endif

Name:           golang
Version:        1.21.1
Release:        0
License:        BSD-3-Clause
Summary:        Go programming language installation
Url:            https://go.dev/dl/
Source0:        go%{version}.linux-amd64.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:	-post-build-checks

%description
The Go programming language is an open source project to make
programmers more productive. Go is expressive, concise, clean, and
efficient. Its concurrency mechanisms make it easy to write programs
that get the most out of multicore and networked machines, while its
novel type system enables flexible and modular program construction. Go
compiles quickly to machine code yet has the convenience of garbage
collection and the power of run-time reflection. It's a fast, statically
typed, compiled language that feels like a dynamically typed,
interpreted language.

%install
mkdir -p %{buildroot}%{_prefix}/local
mkdir -p %{buildroot}%{_bindir}
tar -C %{buildroot}%{_prefix}/local -xzf %{SOURCE0}
ln -sf %{_prefix}/local/go/bin/go %{buildroot}%{_bindir}/go
ln -sf %{_prefix}/local/go/bin/gofmt %{buildroot}%{_bindir}/gofmt

%files
%defattr(-,root,root)
%{_prefix}/local/go
%{_bindir}/go
%{_bindir}/gofmt

%changelog
